Subject: Re: linux-next: build failure after merge of the drm-exynos tree

From: Kaustabh Chakraborty <[email-masked]>
Date: Wed, 03 Sep 2025 15:51:03 +0000

On 2025-09-02 03:03, Stephen Rothwell wrote:
> Hi all,
> 
> On Mon, 1 Sep 2025 12:22:26 +1000 Stephen Rothwell 
> <[email-masked]> wrote:
>> 
>> On Tue, 26 Aug 2025 12:13:20 +1000 Stephen Rothwell 
>> <[email-masked]> wrote:
>> >
>> > On Thu, 21 Aug 2025 11:27:40 +1000 Stephen Rothwell <[email-masked]> wrote:
>> > >
>> > > After merging the drm-exynos tree, today's linux-next build (arm
>> > > multi_v7_defconfig) failed like this:
>> > >
>> > > drivers/gpu/drm/exynos/exynos_drm_dsi.c:158:20: error: 'DSIM_TYPE_EXYNOS7870' undeclared here (not in a function); did you mean 'DSIM_TYPE_EXYNOS5410'?
>> > >   158 |         .hw_type = DSIM_TYPE_EXYNOS7870,
>> > >       |                    ^~~~~~~~~~~~~~~~~~~~
>> > >       |                    DSIM_TYPE_EXYNOS5410
>> > >
>> > > Caused by commit
>> > >
>> > >   d07e4c00696f ("drm/exynos: dsi: add support for exynos7870")
>> > >
>> > > I have used the drm-exynos tree from next-20250820 for today.
>> >
>> > I am still seeing this failure.
>> 
>> I am still seeing this failure.
> 
> Today, I have just reverted that commit instead of the whole branch,

Hi, sorry for the late reply.

This commit is from commit [1] of branch [2]. However, the macro is
defined in commit [3] of branch [4]. I had sent those patches in a 
single
patchset, though.

I guess the merge strategy would be exynos-drm-misc-next, followed by 
exynos-drm-next.

Let me know if you need to know anything else. Thanks!

[1] 
https://git.kernel.org/pub/scm/linux/kernel/git/daeinki/drm-exynos.git/commit/?h=exynos-drm-next&id=d07e4c00696f53510ec8a23dcba0c4ac87840874
[2] 
https://git.kernel.org/pub/scm/linux/kernel/git/daeinki/drm-exynos.git/log/?h=exynos-drm-next

[3] 
https://git.kernel.org/pub/scm/linux/kernel/git/daeinki/drm-exynos.git/commit/?h=exynos-drm-misc-next&id=bcd0d93e902e54e6b404b574b3a6b23315bcea8d
[4] 
https://git.kernel.org/pub/scm/linux/kernel/git/daeinki/drm-exynos.git/log/?h=exynos-drm-misc-next

> --
> Cheers,
> Stephen Rothwell